tigase.jaxmpp.core.client.xmpp.modules.jingle

## Class JingleModule.JingleSessionInfoHandler.JingleSessionInfoEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<JingleModule.JingleSessionInfoHandler>
    - - tigase.jaxmpp.core.client.xmpp.modules.jingle.JingleModule.JingleSessionInfoHandler.JingleSessionInfoEvent

- Enclosing interface:
    JingleModule.JingleSessionInfoHandler

      public static class JingleModule.JingleSessionInfoHandler.JingleSessionInfoEvent
      extends JaxmppEvent<JingleModule.JingleSessionInfoHandler>

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JingleSessionInfoEvent(SessionObject sessionObject, JID sender, String sid, List<Element> content, MutableBoolean handled)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispatch(JingleModule.JingleSessionInfoHandler handler)` Invokes handlers method.
    `List<Element>` | `getContent()`
    `MutableBoolean` | `getHandled()`
    `JID` | `getSender()`
    `String` | `getSid()`
    `void` | `setContent(List<Element> content)`
    `void` | `setHandled(MutableBoolean handled)`
    `void` | `setSender(JID sender)`
    `void` | `setSid(String sid)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JingleSessionInfoEvent

          public JingleSessionInfoEvent(SessionObject sessionObject,
                                        JID sender,
                                        String sid,
                                        List<Element> content,
                                        MutableBoolean handled)

  - ### Method Detail

    - #### dispatch

          public void dispatch(JingleModule.JingleSessionInfoHandler handler)

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<JingleModule.JingleSessionInfoHandler>`
      Parameters:
        `handler` - handler

    - #### getContent

          public List<Element> getContent()

    - #### setContent

          public void setContent(List<Element> content)

    - #### getHandled

          public MutableBoolean getHandled()

    - #### setHandled

          public void setHandled(MutableBoolean handled)

    - #### getSender

          public JID getSender()

    - #### setSender

          public void setSender(JID sender)

    - #### getSid

          public String getSid()

    - #### setSid

          public void setSid(String sid)

Copyright © 2006–2020 Tigase. All rights reserved.